using System.Collections.Generic;

using skydiveLogs_api.Domain;


namespace skydiveLogs_api.Business.Interfaces
{
    public interface IJumpService
    {
        IEnumerable<Jump> GetAllJumps(User connectedUser);

        Jump GetJumpById(int id);

        void AddNewJump(int aircraftId,
                        int dzId,
                        int jumpTypeId,
                        int gearId,
                        Jump jump,
                        User connectedUser);

        void UpdateJump(int id, Jump jump);

        void DeleteJumpById(int id);
    }
}
